From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/entrypoints/, dev-python/entrypoints/files/
Date: Thu, 9 Mar 2017 20:44:10 +0000 (UTC) [thread overview]
Message-ID: <1489092239.ca1aae0e24168d9d5976d53dcf7970e326f2a8eb.soap@gentoo> (raw)
commit: ca1aae0e24168d9d5976d53dcf7970e326f2a8eb
Author: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Wed Mar 8 17:47:01 2017 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Mar 9 20:43:59 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca1aae0e
dev-python/entrypoints: Version bump to 0.2.2
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/4164
dev-python/entrypoints/Manifest | 1 +
dev-python/entrypoints/entrypoints-0.2.2.ebuild | 56 ++++++++++++++++++++++
.../files/entrypoints-0.2.2-setup.py.patch | 20 ++++++++
3 files changed, 77 insertions(+)
diff --git a/dev-python/entrypoints/Manifest b/dev-python/entrypoints/Manifest
index 8ba52629a38..04d735e50c6 100644
--- a/dev-python/entrypoints/Manifest
+++ b/dev-python/entrypoints/Manifest
@@ -1 +1,2 @@
DIST entrypoints-0.2.1.tar.gz 11126 SHA256 0d6b6798446c2e5e5dd6691e79356c29e82234bdb67995233f57413a11f2ded4 SHA512 67a24fc53ae8bdac6bda163d2c8057b158979d55ccdbcdb8709966573bf0a999728e04eb92a05fbc2c0d532593de0ec6518bcfed1d5bcf875b00bbd5c48494c7 WHIRLPOOL f673fb42bad930bb1907692013df469d64b9afb77c3e0acca250fb0b14fe17ec3962cb60de2f0760ede40c8f039690851424b816e047669916ff1d73389daaf7
+DIST entrypoints-0.2.2.tar.gz 11162 SHA256 e54b5df8bb971507278c65df96e6486cf4aea0cdac384d0102ea0339e0a4f82b SHA512 c987807924f92fd6bc0aab1cccaa4b204587d4f34932c353033ed062fff5adf69bfdc8767f095dda15fff9b57e2be2d205bfa44abc5ad7f7820114e0355a6e99 WHIRLPOOL 9d884c8977f8ea49f23f3c8a6b8ac3d48de6e6ff1133f53afe7072e180fd714019c9076b553deae5595d2383a02728412a8536ea26f4a1a56a8d552806054da9
diff --git a/dev-python/entrypoints/entrypoints-0.2.2.ebuild b/dev-python/entrypoints/entrypoints-0.2.2.ebuild
new file mode 100644
index 00000000000..1d04d23dc79
--- /dev/null
+++ b/dev-python/entrypoints/entrypoints-0.2.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Discover and load entry points from installed packages"
+HOMEPAGE="https://github.com/takluyver/entrypoints"
+SRC_URI="https://github.com//takluyver/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+DEPEND="
+ $(python_gen_cond_dep '>=dev-python/configparser-3.5.0[${PYTHON_USEDEP}]' 'python2*')
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ virtual/python-pathlib[${PYTHON_USEDEP}]
+ )
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ "
+
+PATCHES=(
+ "${FILESDIR}/${P}"-setup.py.patch
+ "${FILESDIR}/${PN}"-0.2.1-init.py.patch
+)
+
+python_prepare_all() {
+ # Prevent un-needed download during build
+ if use doc; then
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" -i doc/conf.py || die
+ fi
+
+ distutils-r1_python_prepare_all
+
+ mv "${WORKDIR}/${P}"/entrypoints.py "${WORKDIR}/${P}/${PN}/" || die
+}
+
+python_compile_all() {
+ if use doc; then
+ emake -C doc html
+ HTML_DOCS=( doc/_build/html/. )
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ cd "${TEST_DIR}"/lib || die
+ cp -r "${S}"/tests "${TEST_DIR}"/lib/ || die
+ py.test || die
+}
diff --git a/dev-python/entrypoints/files/entrypoints-0.2.2-setup.py.patch b/dev-python/entrypoints/files/entrypoints-0.2.2-setup.py.patch
new file mode 100644
index 00000000000..bb82eee6951
--- /dev/null
+++ b/dev-python/entrypoints/files/entrypoints-0.2.2-setup.py.patch
@@ -0,0 +1,20 @@
+setup.py for entrypoints by Marius Brehler <marbre@linux.sungazer.de>.
+
+Patch by Marius Brehler <marbrbre@linux.sungazer.de>.
+--- /dev/null
++++ b/setup.py
+@@ -0,0 +1,13 @@
++from distutils.core import setup
++
++setup(name='entrypoints',
++ version='0.2.2',
++ description='Discover and load entry points from installed packages.',
++ author='Thomas Kluyver',
++ author_email='thomas@kluyver.me.uk',
++ url='https://github.com/takluyver/entrypoints',
++ packages=['entrypoints'],
++ classifiers=[
++ 'License :: OSI Approved :: MIT License'
++ ]
++)
+\ No newline at end of file
next reply other threads:[~2017-03-09 20:44 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-03-09 20:44 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-07-30 9:34 [gentoo-commits] repo/gentoo:master commit in: dev-python/entrypoints/, dev-python/entrypoints/files/ David Seifert
2022-03-15 14:05 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1489092239.ca1aae0e24168d9d5976d53dcf7970e326f2a8eb.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox